#ifndef EXISTQTEXAMPLEWIDGET_H
#define EXISTQTEXAMPLEWIDGET_H

#include "EqePreCompile.h" //QLineEdit

#include "ui_ExistQtExampleWidget.h"
#include "ServiceInformation.h"

namespace Ui
{
    class ExistQtExampleWidget;
} //namespace Ui

class ExistQtExampleWidget :public QWidget
{
    Q_OBJECT

private:
    void showLanServiceList();
    QSet<ServiceInformation> discoveredServiceList;
    void processDiscoveredService(QString serviceName,quint16 servicePort,ServicePublishMessage::ServiceProtocolType serviceProtocolType,string address); //!<发现了服务，则处理。
    ServicePublisher servicePublisher; //!<服务发布器。
    void connectSignals(); //!<连接信号。
    Ui::ExistQtExampleWidget * ui; //!<界面。

public:
    ~ExistQtExampleWidget(); //!<Destructor.
    ExistQtExampleWidget(QWidget * parent=0); //!<构造函数。
    
private slots:
    void clear(); //!<清除。
};

#endif
