#ifndef SERVICEINFORMATION_H
#define SERVICEINFORMATION_H

#include "EqePreCompile.h" //QLineEdit

class ServiceInformation
{
private:
    string address; //!<地址。
    quint16 port; //!<端口号。
    QString serviceName; //!<服务名字。

public:
    ServiceInformation(const ServiceInformation & otherService); //!<复制构造函数。
    ServiceInformation(string address,quint16 port); //!<构造函数。
    string getAddress() const;
    void setAddress(const string &value);
    quint16 getPort() const;
    void setPort(const quint16 &value);
    QString getServiceName() const;
    void setServiceName(const QString &value);
};

uint qHash(const ServiceInformation & service); //!<计算散列值。
bool operator==(const ServiceInformation & firstService, const ServiceInformation & secondService);

#endif
